
CoCoALib - Bug #355

Colon of zero ideal fails (zero-divisors)

24 May 2013 16:40 - John Abbott

Status: Closed Start date: 24 May 2013

Priority: Urgent Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Maths Bugs Estimated time: 0.00 hour

Target version: CoCoALib-0.99531 Spent time: 4.00 hours

Description

The following excerpt exhibits the problem.

/**/ Use R ::= QQ[x,y,z];

/**/ I:=ideal(x);

/**/ RmodI:= R/I;

/**/ Use RmodI;

/**/ Ideal(zero(RmodI)):Ideal(x);

***************************************************************************

****CoCoA ERROR****  ErrCode: CoCoA::ERR::ZeroRingElem

****CoCoA ERROR****  Message: Non-zero RingElem required

****CoCoA ERROR****  Context: LPP(f)

****CoCoA ERROR****  File:    ../../include/CoCoA/SparsePolyRing.H

****CoCoA ERROR****  Line:    395

***************************************************************************

 

NB: Laura needs a way to test whether a ringelem is a zero-divisor for the COCOA School.

Related issues:

Related to CoCoALib - Feature #356: IsZeroDivisor Closed 24 May 2013

History

#1 - 24 May 2013 18:01 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoALib-0.9953

- % Done changed from 0 to 60

fixed.

Meanwhile compute

/**/ Use R;

/**/ I:=ideal(x*y);

/**/ RmodI:= R/I;

/**/ Use RmodI;

/**/ I:Ideal(CanonicalRepr(x));

ideal(y) -- in R

--- or

/**/ Ideal(RmodI,[]):Ideal(x);

ideal((y)) -- in R/I
#2 - 28 May 2013 18:30 - Anna Maria Bigatti

- Status changed from New to Feedback

- % Done changed from 60 to 90

#3 - 30 Oct 2013 10:05 - Anna Maria Bigatti

all fixed (it didn't like to have a 0 in the divisor's generators).

Meanwhile IsZeroDivisor has been implemented and is working fine.

#4 - 30 Oct 2013 10:52 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99531

- % Done changed from 90 to 100
